6.0.0-git
2019-12-14

[#8317] Horde_Date lib with locales for relative time strings
Summary Horde_Date lib with locales for relative time strings
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2009-05-30 (3850 days ago)
Due
Updated 2009-07-24 (3795 days ago)
Assigned
Resolved
Milestone
Patch No

History
2009-07-14 14:17:35 Chuck Hagenbuch Comment #3 Reply to this comment
In brief tests, DURATION just turns seconds into a basic # of 
hours/minutes/seconds. I'm looking for something more like getAgo() 
here - "just now", "a few minutes ago", "3 hours ago", "last year", etc.
2009-07-13 10:57:04 Jan Schneider Comment #2 Reply to this comment
Also consider using intl's NumberFormatter($language, 
NumberFormatter::DURATION)
2009-05-30 16:05:07 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Horde_Date lib with locales for relative time strings
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
http://cvs.horde.org/diff.php/horde/lib/Block/fb_stream.php?rt=horde&r1=1.2&r2=1.3&ty=u



there's also some code for this in Chora and in Horde_Form

Saved Queries